com.io7m.r2.core.shaders.provided

## Class R2DepthShaderBasicParameters.Builder

- java.lang.Object
- - com.io7m.r2.core.shaders.provided.R2DepthShaderBasicParameters.Builder

- Enclosing class:
    R2DepthShaderBasicParameters

      public static final class R2DepthShaderBasicParameters.Builder
      extends Object

  Builds instances of type `R2DepthShaderBasicParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2DepthShaderBasicParameters` | `build()` Builds a new `R2DepthShaderBasicParameters`.
    `R2DepthShaderBasicParameters.Builder` | `from(R2DepthShaderBasicParametersType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.shaders.provided.R2DepthShaderBasicParametersType` instance.
    `R2DepthShaderBasicParameters.Builder` | `from(R2DepthShaderBasicParametersValuesType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.shaders.provided.R2DepthShaderBasicParametersValuesType` instance.
    `R2DepthShaderBasicParameters.Builder` | `setAlbedoTexture(R2Texture2DUsableType albedoTexture)` Initializes the value for the `albedoTexture` attribute.
    `R2DepthShaderBasicParameters.Builder` | `setAlphaDiscardThreshold(float alphaDiscardThreshold)` Initializes the value for the `alphaDiscardThreshold` attribute.
    `R2DepthShaderBasicParameters.Builder` | `setTextureDefaults(R2TextureDefaultsType textureDefaults)` Initializes the value for the `textureDefaults` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2DepthShaderBasicParameters.Builder from(R2DepthShaderBasicParametersType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.shaders.provided.R2DepthShaderBasicParametersType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final R2DepthShaderBasicParameters.Builder from(R2DepthShaderBasicParametersValuesType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.shaders.provided.R2DepthShaderBasicParametersValuesType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setTextureDefaults

          public final R2DepthShaderBasicParameters.Builder setTextureDefaults(R2TextureDefaultsType textureDefaults)

      Initializes the value for the `textureDefaults` attribute.
      Parameters:
        `textureDefaults` - The value for textureDefaults
      Returns:
        `this` builder for use in a chained invocation

    - #### setAlbedoTexture

          public final R2DepthShaderBasicParameters.Builder setAlbedoTexture(R2Texture2DUsableType albedoTexture)

      Initializes the value for the `albedoTexture` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `albedoTexture`.

      Parameters:
        `albedoTexture` - The value for albedoTexture
      Returns:
        `this` builder for use in a chained invocation

    - #### setAlphaDiscardThreshold

          public final R2DepthShaderBasicParameters.Builder setAlphaDiscardThreshold(float alphaDiscardThreshold)

      Initializes the value for the `alphaDiscardThreshold` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `alphaDiscardThreshold`.

      Parameters:
        `alphaDiscardThreshold` - The value for alphaDiscardThreshold
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2DepthShaderBasicParameters build()

      Builds a new `R2DepthShaderBasicParameters`.
      Returns:
        An immutable instance of R2DepthShaderBasicParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com